package com.ruoyi.sim.domain.vo;

import com.ruoyi.sim.domain.Fault;
import com.ruoyi.sim.domain.TaskFault;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 *
 */
import java.util.List;

/**
 *
 */
public class FaultTreeVo extends Fault {

    private List<FaultTreeVo> children;

    private TaskFault taskFault;

    public FaultTreeVo() {
    }

    public FaultTreeVo(List<FaultTreeVo> children, TaskFault taskFault) {
        this.children = children;
        this.taskFault = taskFault;
    }

    public List<FaultTreeVo> getChildren() {
        return children;
    }

    public void setChildren(List<FaultTreeVo> children) {
        this.children = children;
    }

    public TaskFault getTaskFault() {
        return taskFault;
    }

    public void setTaskFault(TaskFault taskFault) {
        this.taskFault = taskFault;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("children", children)
                .append("taskFault", taskFault)
                .toString();
    }
}
